Bug 1126110 - Grsync dry-run dialog broken
Summary: Grsync dry-run dialog broken
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: gnome-desktop
Version: 20
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Christoph Wickert
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-08-01 23:02 UTC by The PowerTool
Modified: 2015-06-29 21:54 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-06-29 21:54:21 UTC


Attachments (Terms of Use)

Description The PowerTool 2014-08-01 23:02:30 UTC
Description of problem:  Cannot move dry-run dialog to review setting during a dry-run.


Version-Release number of selected component (if applicable):
grsync-1.2.4-2.fc20.x86_64


How reproducible:  Using Grsync to dry-run settings


Steps to Reproduce:
1.  Start grsync (use your own config data)
2.  Click the dry-run light-bulb in the Grsync UI
3.  Click the title bar of the dialog to move the dialog and allow viewing the rsync configuration detail in the UI under the dialog.

Actual results:  Click-and-hold on the title bar then drag.  The entire GUI moves hiding the detail that should be exposed for review.  This is an incorrect, application-specific, programmatic setting that should be changed.


Expected results:  Dialogs should move.  This is especially important in scenarios when viewing console output via a dialog and it would be mandatory that the user be able to review control and configuration settings impacting the console output.


Additional info:

Comment 1 Christoph Wickert 2014-08-20 13:03:51 UTC
I am using Xfce and I can move the dialog just fine. So this is probably a problem of your window manager and not of the application.

If you reopen this bug, please reassign it to the proper component depending on what desktop / window manager you use.

Comment 2 The PowerTool 2014-08-22 18:05:53 UTC
I am reopening this against the gnome-desktop.

I am using gnome-desktop3-3.10.2-2.fc20.x86_64 in Fedora 20.  I'm happy to provide additional detail.

Per Christoph Wickert, above, if the gnome-desktop is not the correct component please provide guidance regarding the correct component given I see the problem under my F20 "default" gnome installation and he does not see the issue under xfce.

Thanks!

Comment 3 Fedora End Of Life 2015-05-29 12:32:39 UTC
This message is a reminder that Fedora 20 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 20. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '20'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 20 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 4 Fedora End Of Life 2015-06-29 21:54:21 UTC
Fedora 20 changed to end-of-life (EOL) status on 2015-06-23. Fedora 20 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.